Browser version...

That is what I see when trying to compose a post from my blog, Crosstalk's editor is normal. Any other folks having problems?

UPDATE: Firefox version 26.0 32-bit is able edit blog entries correctly.